> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slm.m1amdocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Campaign

## V2

This topic shows information relevant specifically for Subscribe REST API version 20210401 referred to as V2

Creates a new Campaign.

## HTTP Request

`POST https://api.vindicia.com/campaigns`

## Route (URL) Parameters

None.

## Query Parameters

None.

## Accepts

JSON - A full [Campaign](Campaigns) object.

## Returns

JSON - A full [Campaign](Campaigns) object.

## Example Request of Flat Discount Campaign for V2

```

 curl -X POST \
 -u acaff38d462f9430d5cbcbaf:a575771fc679b9de \
 -d ' {
    "object": "Campaign",
   "id": "PROMO2_campaign_mbjUhpf-vf_dV1wabhfexablOb4",
   "name": "PROMO2_campaign_mbjUhpf-vf_dV1wabhfexablOb4",
   "description": "$2 FAD Promo Campaign",
   "state": "Inactive",
   "offer_start_date": "2021-06-18T00:00:00-07:00",
   "offer_end_date": "2021-06-28T00:00:00-07:00",
   "type": "Promotion",
   "apply_discount_per_item": false,
   "eligible_billing_plans": [
      {
         "object": "BillingPlan",
         "id": "bp_8e0FtrtV_mQBpmCOeRdpe8dWKzk",
         "vid": "0defd34ddab0c39ce7f80499a97a5c44018b6e5a"
      }
   ],
   "number_of_periods": 2,
   "promotion_code": "P2mbjUhpf-vf_dV1wabhfexablOb4",
   "flat_amount_discounts": [
      {
         "object": "FlatDiscount",
         "currency": "USD",
         "amount": 5
      },
      {
         "object": "FlatDiscount",
         "currency": "ILS",
         "amount": 15
      }
   ],
   "item_display_text": "Definitely a 5 buck FAD Promo Campaign",
   "max_redemptions_per_customer": 101,
   "max_redemptions_per_subscription": 102,
   "stackability": "Stackable"
}'"https://api.staging.us-west.vindicia.com/campaigns"
```

## Example Response

The above command returns JSON structured like this:

```

 {
   "object": "Campaign",
   "id": "PROMO2_campaign_mbjUhpf-vf_dV1wabhfexablOb4",
   "vid": "db94ca710b7b58c4ff10cbb5a6f66006b34d6071",
   "name": "PROMO2_campaign_mbjUhpf-vf_dV1wabhfexablOb4",
   "description": "$2 FAD Promo Campaign",
   "state": "Inactive",
   "offer_start_date": "2021-06-18T00:00:00-07:00",
   "offer_end_date": "2021-06-28T00:00:00-07:00",
   "type": "Promotion",
   "percentage_discount": 0,
   "apply_discount_per_item": false,
   "eligible_billing_plans": {
      "object": "List",
      "data": [
         {
            "object": "BillingPlan",
            "id": "bp_8e0FtrtV_mQBpmCOeRdpe8dWKzk",
            "vid": "0defd34ddab0c39ce7f80499a97a5c44018b6e5a"
         }
      ],
      "total_count": 1
   },
   "number_of_periods": 2,
   "period_length": "BillingCycle",
   "promotion_code": "P2mbjUhpf-vf_dV1wabhfexablOb4",
   "flat_amount_discounts": {
      "object": "List",
      "data": [
         {
            "object": "FlatDiscount",
            "currency": "USD",
            "amount": 5
         },
         {
            "object": "FlatDiscount",
            "currency": "ILS",
            "amount": 15
         }
      ],
      "total_count": 2
   },
   "item_display_text": "Definitely a 5 buck FAD Promo Campaign",
   "max_redemptions_per_customer": 101,
   "max_redemptions_per_subscription": 102,
   "stackability": "Stackable"
}
```

**Parent topic:**[Campaigns](../topics/Campaigns)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.